Subject: bug#58610: closed (Re: bug#58610: [PATCH] gnu: rust-generic-array-0.14: Fix build.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Jan 2023 23:17:02 +0000

Your bug report

#58610: [PATCH] gnu: rust-generic-array-0.14: Fix build.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58610: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58610
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#58610: [PATCH] gnu: rust-generic-array-0.14: Fix build.
From: Michael Rohleder <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: [email-masked]
Date: Sat, 07 Jan 2023 00:15:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Christopher!

Thank you for reviewing and sorry for the delay!

Christopher Baines <[email-masked]> writes:
> This may fix the build, but instead we'd just be shipping software where
> the test suite fails.
>
> If we do want to go that way of disabling the test suite, I think it
> would be good to make sure the issue is reported upstream, and link to
> that bug report in the package definition, does that make sense?

I guess this make a lot of sense, but I can't do this, because I don't
have any rust/cargo knowledge, no gh account etc.

This patch was just a quick hack to get synapse working.  I should have
thought about fixing it better than just disabling a test.

Sorry for the waste of time and the noise -> closing.

-- 
There are two types of hard drives: those that have failed, and those that will.

Subject: [PATCH] gnu: rust-generic-array-0.14: Fix build.
From: Michael Rohleder <[email-masked]>
To: [email-masked]
Cc: Michael Rohleder <[email-masked]>
Date: Tue, 18 Oct 2022 16:59:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/crates-io.scm (rust-generic-array-0.14)[arguments]: Add #:tests? #false.
---
 gnu/packages/crates-io.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 502972ffc5..afd1305018 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -24886,7 +24886,8 @@ (define-public rust-generic-array-0.14
           "05qqwm9v5asbil9z28wjkmpfvs1c5c99n8n9gwxis3d3r3n6c52h"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs
+     `(#:tests? #false                  ;doc test fails
+       #:cargo-inputs
        (("rust-serde" ,rust-serde-1)
         ("rust-typenum" ,rust-typenum-1)
         ("rust-version-check" ,rust-version-check-0.9))
-- 
2.38.0